%define major	0
%define libname	%mklibname shairplay %major
%define devname	%mklibname shairplay -d

%define snap	20180824

Summary:	Apple AirPlay server implementation
Name:		shairplay
Version:	0.9.0
Release:	%mkrel 0.2
License:	MIT
Group:		Networking/Other
URL:		https://github.com/juhovh/shairplay
Source:		https://github.com/juhovh/shairplay/archive/refs/heads/master.tar.gz#/%{name}-%{version}%{?snap:-git%{snap}}.tar.xz
BuildRequires:	pkgconfig(ao)
BuildRequires:	pkgconfig(avahi-compat-libdns_sd)
BuildRequires:	libavahi-common-devel
Requires:	%{libname} = %{version}-%{release}

%description
Server for the Apple RAOP protocol, emulating an AirPort Express for the
purpose of streaming music from iTunes and compatible iPods.

%package -n %libname
Summary:	Shared library of shairplay
Group:		System/Libraries

%description -n %libname
Shairplay is an Apple RAOP protocol server, emulating an AirPort Express
for the purpose of streaming music from iTunes and compatible iPods.

This package contains the library needed to run programs dynamically
linked with libshairplay.

%package -n %devname
Summary:	Headers for libshairplay development
Group:		Development/Libraries
Requires:	%libname = %version
Provides:	shairplay-devel = %version-%release

%description -n %devname
Shairplay is an Apple RAOP protocol server.

This package contains the headers that are needed to compile
applications that use libshairplay.

%prep
%setup -q -n %name-master

sed -i 's|dns_sd.h|avahi-compat-libdns_sd/dns_sd.h|' configure.ac

%build
autoreconf -fi
%configure2_5x --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' | xargs rm

%files
%{_bindir}/%{name}

%files -n %libname
%{_libdir}/*.so.%{major}*

%files -n %devname
%{_libdir}/*.so
%dir %{_includedir}/shairplay
%{_includedir}/shairplay/*.h


%changelog
* Fri Oct 08 2021 tex - 0.9.0-0.2pclos2021
- Update to version 0.9.0 git20180824
